/*
				 I2C
 				(mega32)
				24.02.2013
									*/

#include "I2C.h"

/*******************************************************/
/*******************************************************/
void init_I2C(void)
	{
	I2C_PORT |= I2C_MASK;
	I2C_DDR &= ~ I2C_MASK;
	}


/*******************************************************/
/*******************************************************/
void StartI2C(void)
	{
	TWCR = (1<<TWINT)|(1<<TWSTA)|(1<<TWEN);
	while (!(TWCR & (1<<TWINT)));
	}

/*******************************************************/
/*******************************************************/
void WriteI2C_ADDR(char ADDR, char RW)
	{
	char t;
	t=ADDR;
	TWDR = (t<<1)+RW;  
	TWCR = (1<<TWINT) | (1<<TWEN);
	while (!(TWCR & (1<<TWINT)));
	if ((TWSR & 0xF8) != 0x18) while(1);
	}

/*******************************************************/
/*******************************************************/
void WriteI2C(char byte)
	{
	TWDR = byte;                   
	TWCR = (1<<TWINT) | (1<<TWEN);
	while (!(TWCR & (1<<TWINT)));
	if ((TWSR & 0xF8) != 0x28) while(1);
	}

/*******************************************************/
/*******************************************************/
char ReadI2C(void)
	{
	return 1;
	}

/*******************************************************/
/*******************************************************/
void StopI2C()
	{
	TWCR = (1<<TWINT)|(1<<TWEN)|(1<<TWSTO);
	}
