/*
				 I2C
 				(mega32)
				24.02.2013
									*/

#ifndef I2C
#define I2C

#include	<avr/io.h>			//      

#define		write		0
#define		read		1
#define		addr_screen	0b00111100
#define		addr_clock	0b01010000

#define I2C_SDA			PC1		
#define I2C_SCL			PC0
#define I2C_MASK 		(_BV(I2C_SDA)|_BV(I2C_SCL))

#define I2C_PORT		PORTC
#define I2C_DDR			DDRC

/*******************************************************/

void init_I2C(void);
void StartI2C(void);
void WriteI2C_ADDR(char, char);
void WriteI2C(char);
char ReadI2C(void);
void StopI2C(void);

#endif
