/*
 		     
 				  G77E0
 				(PCF8535)
				24.02.2013
									*/

#ifndef graphics
#define graphics

#include	<avr/pgmspace.h>	//         flash
#include	"I2C.h"


/*******************************************************/
#define		white			1
#define		black			2
#define		invert 			3
#define		RES_INDIC		PC7
#define		RES_INDIC_PORT	PORTD
#define		RES_INDIC_DDR	DDRD
/*******************************************************/

//extern unsigned char RAM_LCD[];

unsigned char	RAM_LCD[1026];



void init_Screen(void);

void LCD_Set_Pos (char, char);

void Clear_LCD(void);

void Clear_RAM_LCD(void);

char area_RAM_LCD(char, char, char, char, char);

void refresh_screen(char, char, char, char);

void refresh_all_screen(void);

void fill_picture_area(char*);

char insert_pic(char, char, char*); 

char put_bstring(char, char, char*);

void put_string(char, char, char*);

void put_bsfigure(char, char, int);

void draw_hline(char, char, char);

void draw_vline(char, char, char);

void Draw_Clock(void);

void Draw_Main_Screen(void);

char *get_bpointer(char);

#endif
